DCMTK - Bug #505

Output of writwlst --version is incorrect
2013-02-28 22:18 - Jorg Riesmeier

Status: Closed Start date: 2013-02-28
Priority: Normal Due date:

Assignee: Jorg Riesmeier % Done: 100%
Category: Application Estimated time: 0:00 hour
Target version: 3.6.2

Module: demwlm Compiler:

Operating System:

Description
The current output is:

Sdcmtk: writwlst v3.6.1 DEV $

writlst: write a worklist file from a hex coded string
usage: wlistgen [options] hexstring-file-in dcmfile-out

arguments:
hexstring-file-in a filename of - reads from stdin
decmfile-out the dicom file to create

options are:
create options:

+f write fileformat (default)

=3t write dataset

+0 overwrite dcmfile-out if existing (default)
-0 update dcmfile-out if existing

group length encoding:

+g write with group lengths

=(g] write without group lengths (default)
length encoding in sequences and items:

+e write with explicit lengths (default)

-e write with undefined lengths

output transfer syntax:
+ti write with little-endian implicit transfer syntax
+te write with little-endian explicit transfer syntax (default)
+tb write with big-endian explicit transfer syntax

other test/debug options:

+V verbose mode, print actions
+v validate input data (currently almost useless)
+d enable debug output

The first error is, that the syntax usage should not be displayed but host type, external libraries and the like.
The second error is that the "usage:" line shows an old program name ("wlistgen"?).

History

#1 - 2013-02-28 22:21 - J6rg Riesmeier

Ok, now - after a minute - | see that the OFCommandLine class is not used by this program. With other words, the first error is solved because there
is no --version options ;-) Anyway, the output of the program name is still inconsistent ...

#2 - 2013-03-08 19:46 - Jorg Riesmeier
- Status changed from New to Closed
- Assignee set to Jérg Riesmeier

- % Done changed from 0 to 100
